Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class AnalyzerUtilities.OpenViewWorker

    java.lang.Object
      samples.javaclient.analyzer.SwingWorker
          samples.javaclient.analyzer.AnalyzerUtilities.OpenViewWorker

Enclosing class:
  AnalyzerUtilities

private class AnalyzerUtilities.OpenViewWorker
extends SwingWorker

Inner class for opening a view on a separate thread. The SwingWorker class, which this class extends, is available from the Sun web site.

Nested Class Summary

Nested classes inherited from class samples.javaclient.analyzer.SwingWorker
``

Field Summary
`private javax.swing.JWindow` | `m_busyBar`
`private oracle.dss.dataView.Dataview` | `m_dataview`
`private boolean` | `m_dirty`
`private int` | `m_height`
`private java.lang.String` | `m_strName`
`private int` | `m_width`
`private int` | `m_x`
`private int` | `m_y`

Fields inherited from class samples.javaclient.analyzer.SwingWorker
``

Constructor Summary
`AnalyzerUtilities.OpenViewWorker(java.lang.String objectName, boolean isDirty, int x, int y, int width, int height, javax.swing.JWindow busyBar)` Constructor.

Method Summary
`java.lang.Object` | `construct()` Instantiates the Dataview that is being loaded.
`void` | `finished()` Cleans up after the thread.
`oracle.dss.dataView.Dataview` | `getDataview()` Gets the view that this class opens.

Methods inherited from class samples.javaclient.analyzer.SwingWorker
`get, getValue, interrupt, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_strName

    private java.lang.String m_strName

### m_x

    private int m_x

### m_y

    private int m_y

### m_width

    private int m_width

### m_height

    private int m_height

### m_dataview

    private oracle.dss.dataView.Dataview m_dataview

### m_dirty

    private boolean m_dirty

### m_busyBar

    private javax.swing.JWindow m_busyBar

Constructor Detail

### AnalyzerUtilities.OpenViewWorker

    public AnalyzerUtilities.OpenViewWorker(java.lang.String objectName,
                                            boolean isDirty,
                                            int x,
                                            int y,
                                            int width,
                                            int height,
                                            javax.swing.JWindow busyBar)

  Constructor.

Parameters:
  `objectName` - The full path name of the object to open.
  `isDirty` - `true` if the object has changed since the last save, `false` if it has not.
  `x` - The horizontal position for the view.
  `y` - The vertial position for the view.
  `width` - The width of the view.
  `height` - The height of the view.
  `busyBar` - The busy bar in which to display a message.

Method Detail

### getDataview

    public oracle.dss.dataView.Dataview getDataview()

  Gets the view that this class opens. This is the instantiation of the view that is being loaded from the Catalog.

  Returns:
    The view that is being opened.

### finished

    public void finished()

  Cleans up after the thread. This method hides the busy bar and adds a new worksheet to the application.

  Overrides:
    `finished` in class `SwingWorker`
  See Also:
    `Analyzer.addWorksheet(java.lang.String, oracle.dss.dataView.Dataview, boolean, int, int, int, int)`

### construct

    public java.lang.Object construct()

  Instantiates the Dataview that is being loaded. Objects are stored as XML definitions in the BI Beans Catalog. This method loads the definition from the Catalog and instantiates a Dataview object from the definition. The Dataview basically is a new Dataview that has the properties from the XML set on it.

  Specified by:
    `construct` in class `SwingWorker`
  Returns:
    The object that is created from the loaded definition.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD